Package com.pixelmed.anatproc

# Class DictionaryOfConcepts

java.lang.Object
com.pixelmed.anatproc.DictionaryOfConcepts

public class DictionaryOfConcepts extends Object

This class contains utility methods provide for the detection of concepts in various header attributes regardless of whether these are formal codes, code strings or free text comments.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`badWords`
`protected HashMap`
`codeStringEquivalentToConceptEntries`
`protected DisplayableConcept[]`
`conceptEntries`
`protected HashMap<String,DisplayableConcept>`
`conceptIdentifierToConceptEntries`
`protected HashMap<String,DisplayableConcept>`
`conceptUniqueIdentifierToConceptEntries`
`protected String`
`descriptionOfConcept`
`protected HashMap`
`meaningsAndSynonymsToConceptEntries`
`protected HashMap`
`schemeAndValuePairsToConceptEntries`

## Constructor Summary

Constructors
Constructor
Description
`DictionaryOfConcepts(DisplayableConcept[] conceptEntries)`
`DictionaryOfConcepts(DisplayableConcept[] conceptEntries, String[] badWords, String descriptionOfConcept)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doCommonConstructorStuff(DisplayableConcept[] conceptEntries, String[] badWords, String descriptionOfConcept)`
`DisplayableConcept`
`find(Concept key)`
`DisplayableConcept`
`find(SchemeAndValuePair key)`
`DisplayableConcept`
`find(CodedSequenceItem item)`
`DisplayableConcept`
`find(String key)`
`DisplayableConcept`
`findByConceptIdentifier(String key)`
`DisplayableConcept`
`findByConceptUniqueIdentifier(String key)`
`protected DisplayableConcept`
`findCodeInEntriesFirstThenTryCodeMeaningInEntriesThenTryLongestIndividualEntryContainedWithinCodeMeaning(CodedSequenceItem item)`
`DisplayableConcept`
`findCodeStringExact(String key)`
`protected DisplayableConcept`
`findInEntriesFirstThenTryLongestIndividualEntryContainedWithin(String key)`
`protected DisplayableConcept`
`findLongestIndividualEntryContainedWithin(String keyText)`
`String`
`getDescriptionOfConcept()`
`protected static String`
`removeAccentsFromLowerCaseString(String s)`
`protected String`
`removeAnyBadWords(String string)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### conceptEntries

protected DisplayableConcept[] conceptEntries

### schemeAndValuePairsToConceptEntries

protected HashMap schemeAndValuePairsToConceptEntries

### meaningsAndSynonymsToConceptEntries

protected HashMap meaningsAndSynonymsToConceptEntries

### codeStringEquivalentToConceptEntries

protected HashMap codeStringEquivalentToConceptEntries

### conceptUniqueIdentifierToConceptEntries

protected HashMap<String,DisplayableConcept> conceptUniqueIdentifierToConceptEntries

### conceptIdentifierToConceptEntries

protected HashMap<String,DisplayableConcept> conceptIdentifierToConceptEntries

### badWords

protected String[] badWords

### descriptionOfConcept

protected String descriptionOfConcept

## Constructor Details

### DictionaryOfConcepts

public DictionaryOfConcepts(DisplayableConcept[] conceptEntries)

### DictionaryOfConcepts

public DictionaryOfConcepts(DisplayableConcept[] conceptEntries, String[] badWords, String descriptionOfConcept)

## Method Details

### doCommonConstructorStuff

protected void doCommonConstructorStuff(DisplayableConcept[] conceptEntries, String[] badWords, String descriptionOfConcept)

### getDescriptionOfConcept

public String getDescriptionOfConcept()

### find

public DisplayableConcept find(SchemeAndValuePair key)

### find

public DisplayableConcept find(CodedSequenceItem item)

### find

public DisplayableConcept find(String key)

### find

public DisplayableConcept find(Concept key)

### findByConceptUniqueIdentifier

public DisplayableConcept findByConceptUniqueIdentifier(String key)

### findByConceptIdentifier

public DisplayableConcept findByConceptIdentifier(String key)

### findCodeStringExact

public DisplayableConcept findCodeStringExact(String key)

### removeAnyBadWords

protected String removeAnyBadWords(String string)

### removeAccentsFromLowerCaseString

protected static String removeAccentsFromLowerCaseString(String s)

### findLongestIndividualEntryContainedWithin

protected DisplayableConcept findLongestIndividualEntryContainedWithin(String keyText)

### findInEntriesFirstThenTryLongestIndividualEntryContainedWithin

protected DisplayableConcept findInEntriesFirstThenTryLongestIndividualEntryContainedWithin(String key)

### findCodeInEntriesFirstThenTryCodeMeaningInEntriesThenTryLongestIndividualEntryContainedWithinCodeMeaning

protected DisplayableConcept findCodeInEntriesFirstThenTryCodeMeaningInEntriesThenTryLongestIndividualEntryContainedWithinCodeMeaning(CodedSequenceItem item)